%define module	DateTime-Format-Duration
%define name	perl-%{module}
%define version 1.02
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Format and parse DateTime::Durations 
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/DateTime/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.

%prep
%setup -q -n %{module}-%{version}
# fix perms
chmod 644 LICENSE README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
#%make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE README Changes
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-3mdv2007.0
- Rebuild

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdk 
- don't ship useless empty dirs
- make test in %%check
- disabled test, something is broken
- fix doc files perms

* Sat Feb 12 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk 
- first mdk release
